Page MenuHomePhabricator

Only source configuration files that end with the `.conf` extension?
Closed, ResolvedPublic

Description

In T275#4134, @nrgaway wrote:

XXX: @Patrick, do your scripts ignore backed up files in directories such as /etc/whonix_firewall.d.... If not, maybe consider using a standard extension of .conf and only include those?

Files that end with ~ are ignored (backup files by many editors). Files that end with .dpkg-* are ignored (file names used by dpkg conflict resolution). So you could rename these files for example to .dpkg-nouse.

Do we want to rename all the config files to include a .conf extension and then only source those? Any opinions?

Existing documentation:
https://www.whonix.org/wiki/Whonix_Configuration_Files

The config folder sourceing code for whonix-gw-firewall be viewed here:
https://github.com/Whonix/whonix-gw-firewall/blob/master/usr/bin/whonix_firewall#L27
https://github.com/Whonix/whonix-gw-firewall/blob/5ebca43416269a5fd42c98a80af1b0b3d38adecf/usr/bin/whonix_firewall#L27

Others for whonixcheck etc. look similar.

Details

Impact
Normal

Event Timeline

Patrick updated the task description. (Show Details)Apr 29 2015, 2:01 PM
Patrick set Impact to Normal.
Patrick added subscribers: Patrick, HulaHoop, nrgaway and 2 others.
Patrick created this task.
Patrick raised the priority of this task from to Normal.
Patrick edited projects, added Whonix 12; removed Whonix 11.May 16 2015, 6:11 AM
Patrick edited projects, added Whonix 13; removed Whonix 12.Aug 19 2015, 7:58 PM
Patrick changed the task status from Review to Open.Apr 28 2016, 4:49 AM

Since T503 is not yet implemented, Whonix 12 -> Whonix 13 are currently broken because of uwt. whonix-repository and tb-updater fails closed because the moment it uses gpg, /etc/uwt.d/30_uwt_default.conf does not exist, which results in "gpg" (actually uwt) failing. The solution I will be attempting is to make uwt also work with built-in defaults (part of T503).

Patrick closed this task as Resolved.Apr 29 2016, 5:55 AM
Patrick claimed this task.